project(tw_peer_to_peer_tests)

set(LIBS
    tw_peer_to_peer_lib
    Catch2::Catch2WithMain
    spdlog::spdlog
)

file(GLOB TEST_FILES
    ./*.cpp
)

add_executable(${PROJECT_NAME} ${TEST_FILES})

target_link_libraries(${PROJECT_NAME}
    PRIVATE
        ${LIBS}
)

target_include_directories(${PROJECT_NAME}
    PRIVATE
        ${PROJECT_SOURCE_DIR}/src/
        ${JoltPhysics_SOURCE_DIR}/..
)

list(APPEND CMAKE_MODULE_PATH ${catch2_SOURCE_DIR}/extras)

include(CTest)
include(Catch)

catch_discover_tests(${PROJECT_NAME})
